Package org.eclipse.zest.layouts.dataStructures

# Class DisplayIndependentDimension

java.lang.Object
org.eclipse.zest.layouts.dataStructures.DisplayIndependentDimension

public class DisplayIndependentDimension extends Object
This is a dimension that isn't dependent on awt, swt, or any other library, except layout.

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`height`
`double`
`width`

## Constructor Summary

Constructors
Constructor
Description
`DisplayIndependentDimension(double width, double height)`
`DisplayIndependentDimension(DisplayIndependentDimension dimension)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### width

public double width

### height

public double height

## Constructor Details

### DisplayIndependentDimension

public DisplayIndependentDimension(double width, double height)

### DisplayIndependentDimension

public DisplayIndependentDimension(DisplayIndependentDimension dimension)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`